2017-07-27 18:37 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0003529Kali Linux[All Projects] General Bugpublic2017-02-13 15:45
Reporternazyl 
Assigned Torhertzog 
PriorityhighSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
Product Version2016.2 
Target VersionFixed in Version2017.1 
Summary0003529: No sound in Kali rolling 2016.2 x64 and x86 both
Descriptionhello i installed kalling rolling x86 and after boot they have no sound and it's same for x64 i'm on acer travelmate 5335
Attached Files

-Relationships
has duplicate 0003838closedrhertzog No Sound with 2016.2 
has duplicate 0003813closedrhertzog pulseaudio isn't starting at boot 
has duplicate 0003781closedrhertzog pulse audio not starting 
has duplicate 0003697closedrhertzog Sound 
+Relationships

-Notes

~0005758

domc (reporter)

I also installed Kali rolling 2016.2 x64 and have no sound. I am on a Lenovo T420 laptop.

~0005766

maangcuf (reporter)

i had also the same problem i tried using these commands in terminal.
 pulseaudio -D
 pulseaudio -D --system
 It worked for me...

~0005770

rhertzog (administrator)

What does "systemctl --user status pulseaudio" return when you have no sound?

~0005777

ccmcdee (reporter)

I recall this happening once to me. However, it was isolated to root account only. Might I suggest trying a different user-account. iirc, the only fix was using alsa-mixer over pulse-audio.

~0005781

maangcuf (reporter)

every time I logged into my root I have to enter
 pulseaudio -D
and the problem fixes.

~0005782

engin.von (reporter)

"pulseaudio -D"
Fixes the error. It worked for me.

~0005783

domc (reporter)

Last edited: 2016-09-05 19:28

View 8 revisions

This is what "systemctl --user status pulseaudio" returns when I have no sound.

root@kali:~# systemctl --user status pulseaudio
● pulseaudio.service - Sound Service
   Loaded: loaded (/usr/lib/systemd/user/pulseaudio.service; disabled; vendor pr
   Active: inactive (dead)
lines 1-3/3 (END)...skipping...
● pulseaudio.service - Sound Service
   Loaded: loaded (/usr/lib/systemd/user/pulseaudio.service; disabled; vendor preset: enabled)
   Active: inactive (dead)


More info after pulseaudio has been initiated...

root@kali:~#
root@kali:~#
root@kali:~# pulseaudio
W: [pulseaudio] main.c: This program is not intended to be run as root (unless --system is specified).
E: [pulseaudio] bluez5-util.c: GetManagedObjects() failed: org.freedesktop.systemd1.NoSuchUnit: Unit dbus-org.bluez.service not found.
root@kali:~#
root@kali:~#
root@kali:~# pulseaudio -D --system
W: [pulseaudio] main.c: Running in system mode, but --disallow-exit not set.
W: [pulseaudio] main.c: Running in system mode, but --disallow-module-loading not set.
N: [pulseaudio] main.c: Running in system mode, forcibly disabling SHM mode.
N: [pulseaudio] main.c: Running in system mode, forcibly disabling exit idle time.
root@kali:~#
root@kali:~#
root@kali:~# systemctl --user status pulseaudio
● pulseaudio.service - Sound Service
   Loaded: loaded (/usr/lib/systemd/user/pulseaudio.service; disabled; vendor preset: enabled)
   Active: inactive (dead)
root@kali:~#
root@kali:~#


I have tried all suggested solutions above but none of them were a permanent fix. I have the same issue after reboot.

I did not have any sound issue with the previous Kali rolling 2016.1 x64 or Kali 1.0.0 builds on the same laptop I am currently using - Lenovo T420 Laptop.

~0005784

rhertzog (administrator)

The permanent fix should be "systemctl --user enable pulseaudio && systemctl --user start pulseaudio".

That said, the service should be enabled by default in the live image and in any installed system since we configure that in the build process (it was an older bug, 0002392). If that's no longer the case, then there's something disabling it upon us.

~0005791

domc (reporter)

I used "systemctl --user enable pulseaudio && systemctl --user start pulseaudio" and it worked. Pusleaudio starts up after reboot. Thx.

~0005794

disnator (reporter)

Command pulseaudio -D solved the problem...
Thanx... :)

~0006340

rhertzog (administrator)

So actually, the code that enables pulseaudio is still here in the live-build hook but it fails with this error message:
Assertion 'config_path' failed at ../src/shared/install.c:1706, function install_context_apply(). Aborting.
Aborted

I reported this to the upstream systemd developers here:
https://github.com/systemd/systemd/issues/5260

~0006379

rhertzog (administrator)

I have pushed a work-around to the live-build-config which lets systemctl do its job until we have a fixed version of systemd.

The next weekly and daily images should again have sound by default.
+Notes

-Issue History
Date Modified Username Field Change
2016-09-02 15:52 nazyl New Issue
2016-09-03 20:16 domc Note Added: 0005758
2016-09-04 19:40 maangcuf Note Added: 0005766
2016-09-05 08:43 rhertzog Note Added: 0005770
2016-09-05 08:43 rhertzog Assigned To => rhertzog
2016-09-05 08:43 rhertzog Status new => feedback
2016-09-05 13:50 ccmcdee Note Added: 0005777
2016-09-05 18:22 maangcuf Note Added: 0005781
2016-09-05 18:47 engin.von Note Added: 0005782
2016-09-05 19:02 domc Note Added: 0005783
2016-09-05 19:03 domc Note Edited: 0005783 View Revisions
2016-09-05 19:12 domc Note Edited: 0005783 View Revisions
2016-09-05 19:25 domc Note Edited: 0005783 View Revisions
2016-09-05 19:26 domc Note Edited: 0005783 View Revisions
2016-09-05 19:26 domc Note Edited: 0005783 View Revisions
2016-09-05 19:27 domc Note Edited: 0005783 View Revisions
2016-09-05 19:28 domc Note Edited: 0005783 View Revisions
2016-09-06 07:00 rhertzog Note Added: 0005784
2016-09-06 15:54 domc Note Added: 0005791
2016-09-07 14:48 disnator Note Added: 0005794
2017-02-07 16:12 rhertzog Status feedback => assigned
2017-02-07 16:12 rhertzog Note Added: 0006340
2017-02-07 16:15 rhertzog Relationship added has duplicate 0003838
2017-02-07 16:15 rhertzog Relationship added has duplicate 0003813
2017-02-07 16:15 rhertzog Relationship added has duplicate 0003781
2017-02-07 16:17 rhertzog Relationship added has duplicate 0003697
2017-02-13 15:45 rhertzog Status assigned => resolved
2017-02-13 15:45 rhertzog Resolution open => fixed
2017-02-13 15:45 rhertzog Fixed in Version => 2017.1
2017-02-13 15:45 rhertzog Note Added: 0006379
+Issue History